uses
  SysUtils,MMSystem,Windows,Messages,ShellAPI,Classes;

const WM_TrayHandler=WM_User+1;
Type
  TCust=class
  private
    procedure TrayHandler(var Msg: TMessage);message WM_TrayHandler;
  end;

var
  Handle:HWND;
  MSG:TMsg;
  NotifyIconData:TNotifyIconData;
  Cust:TCust;

  function WndProc(Hwnd:HWND;msg:Integer;WParam:WPARAM;
           LParam:LPARAM):LRESULT;stdcall;
  begin
    case Msg of
      WM_DESTROY:begin
        Shell_NotifyIcon(NIM_DELETE,@NotifyIconData);
        PostQuitMessage(0);
        Result:=0;
      end
    else
      Result:=DefWindowProc(Hwnd,Msg,WParam,LParam);
    end;
  end;

  procedure TCust.TrayHandler(var Msg: TMessage);
  begin
    case Msg.LParam of
    WM_LBUTTONUP:mciSendString('Set cdaudio door open wait',nil,0,handle);
    WM_RBUTTONUP:mciSendString('Set cdaudio door closed wait',nil,0,handle);
    WM_MBUTTONUP:PostMessage(Handle,WM_QUIT,0,0);
    end;
  end;

begin
{$R my.res}
  //        
  with NotifyIconData do begin
    cbSize:=sizeof(NotifyIconData);
    Wnd:=AllocateHWnd(Cust.TrayHandler);
    uID:=0;
    uFlags:= NIF_MESSAGE or NIF_ICON or NIF_TIP;
    uCallbackMessage:=WM_TrayHandler;
    hIcon:=LoadIcon(Hinstance,'MAIN');
    StrCopy(szTip,'CD Open Close'#13#10'Left - open'#13#10+
    'Right - close'#13#10'Middle - exit');
  end;
  Shell_NotifyIcon(NIM_ADD,@NotifyIconData);
  while GetMessage(Msg,0,0,0)do
  begin
    TranslateMessage(MSG);
    DispatchMessage(MSG);
  end;
end.
